package com.ruoyi.wzCk.ckInfo.service.impl;

import java.util.List;

import com.ruoyi.wzCk.ckInfo.domain.WzOutboundOrderH;
import com.ruoyi.wzCk.ckInfo.mapper.WzOutboundOrderHMapper;
import com.ruoyi.wzCk.ckInfo.service.IWzOutboundOrderHService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 * 物资出库单_基础数据Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-08-10
 */
@Service
public class WzOutboundOrderHServiceImpl implements IWzOutboundOrderHService
{
    @Autowired
    private WzOutboundOrderHMapper wzOutboundOrderHMapper;

    /**
     * 查询物资出库单_基础数据
     * 
     * @param id 物资出库单_基础数据主键
     * @return 物资出库单_基础数据
     */
    @Override
    public WzOutboundOrderH selectWzOutboundOrderHById(Long id)
    {
        return wzOutboundOrderHMapper.selectWzOutboundOrderHById(id);
    }

    /**
     * 查询物资出库单_基础数据列表
     * 
     * @param wzOutboundOrderH 物资出库单_基础数据
     * @return 物资出库单_基础数据
     */
    @Override
    public List<WzOutboundOrderH> selectWzOutboundOrderHList(WzOutboundOrderH wzOutboundOrderH)
    {
        return wzOutboundOrderHMapper.selectWzOutboundOrderHList(wzOutboundOrderH);
    }

    /**
     * 新增物资出库单_基础数据
     * 
     * @param wzOutboundOrderH 物资出库单_基础数据
     * @return 结果
     */
    @Override
    public int insertWzOutboundOrderH(WzOutboundOrderH wzOutboundOrderH)
    {
        return wzOutboundOrderHMapper.insertWzOutboundOrderH(wzOutboundOrderH);
    }

    /**
     * 修改物资出库单_基础数据
     * 
     * @param wzOutboundOrderH 物资出库单_基础数据
     * @return 结果
     */
    @Override
    public int updateWzOutboundOrderH(WzOutboundOrderH wzOutboundOrderH)
    {
        return wzOutboundOrderHMapper.updateWzOutboundOrderH(wzOutboundOrderH);
    }

    /**
     * 批量删除物资出库单_基础数据
     * 
     * @param ids 需要删除的物资出库单_基础数据主键
     * @return 结果
     */
    @Override
    public int deleteWzOutboundOrderHByIds(Long[] ids)
    {
        return wzOutboundOrderHMapper.deleteWzOutboundOrderHByIds(ids);
    }

    /**
     * 删除物资出库单_基础数据信息
     * 
     * @param id 物资出库单_基础数据主键
     * @return 结果
     */
    @Override
    public int deleteWzOutboundOrderHById(Long id)
    {
        return wzOutboundOrderHMapper.deleteWzOutboundOrderHById(id);
    }

    /**
     * 根据任务号查询出库单号
     *
     * @param taskno 任务号
     * @return 结果
     */
    @Override
    public List<WzOutboundOrderH> selectCkdhListFromCkinfoByTaskNo(String taskno) {
        return wzOutboundOrderHMapper.selectCkdhListFromCkinfoByTaskNo(taskno);
    }
}
